# Britannica Dictionary Crawler

This package allows you to scrape word entries, definitions, parts of speech, and the word of the day from the Britannica Dictionary.

## Installation

You can install the package directly from GitHub using pip:

```bash
pip install git+https://github.com/Esubaalew/Dictionary.git
```

Alternatively, after publishing to PyPI, you can install the package like this:
```bash
pip install britannica-dictionary
```
```Python
from dictionary.britannica import get_entries, get_definitions, get_word_of_the_day

# Get related entries for a word
entries = get_entries('python')
print(entries)

# Get word definitions
definitions = get_definitions('python')
print(definitions)

# Get word of the day
word_of_the_day = get_word_of_the_day()
print(word_of_the_day)
```


## Functions

### 1. `get_entries(word)`

Fetches related entries for a word from Britannica Dictionary.

**Args:**
- `word` (str): Word to search for.

**Returns:**
- `list`: List of dictionaries containing the text and link of each entry.

### 2. `get_definitions(word)`

Fetches definitions and examples for a word from Britannica Dictionary.

**Args:**
- `word` (str): Word to search for.

**Returns:**
- `list`: List of dictionaries containing the meaning and examples of word usage.

### 3. `get_word_of_the_day()`

Fetches the word of the day from Britannica Dictionary.

**Returns:**
- `dict`: Dictionary containing the word, part of speech, image, and meanings.

## Features

- Get related entries for any word
- Fetch definitions and examples of word usage
- Retrieve the word of the day from Britannica Dictionary